Bug 739245 - Tech review: nis
Summary: Tech review: nis
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Identity_Management_Guide
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Deon Ballard
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 22:32 UTC by Deon Ballard
Modified: 2011-12-12 19:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-12 19:15:27 UTC


Attachments (Terms of Use)
nis (30.40 KB, application/vnd.oasis.opendocument.text)
2011-09-16 22:32 UTC, Deon Ballard
no flags Details

Description Deon Ballard 2011-09-16 22:32:42 UTC
Created attachment 523650 [details]
nis

1. Download the attachment.

2. Make sure tack changes is turned on. Edit > Changes > Record.

3. Make any changes to the doc.

4. Attach the file to the bug.

5. Reassign the bug to me (dlackey).

I care about accuracy, completeness, clarity, and organization. 

Thanks!

Comment 2 Rob Crittenden 2011-10-26 20:54:17 UTC
Under the assumption that all references to Enterprise IPA will be addressed.

10.1

para. 1, missing "s" in "actively used by many system client."

para. 1. Not sure this is entirely correct, "Clients such as sudo only use netgroups to manage authentication." It can use netgroups but can also use just users and groups.

para. 2. NIS distributes more than just netgroup data. It can provide user, group, network, host, etc as well. IPA provides a NIS listener to provide a map for passwd, group and netgroup.

10.2.1.2. 

It should be mentioned that the --nisdomain option just controls the domain that will appear in the triple, not the domain that the NIS listener responds to.

An example of using ypcat might be handy:

# ipa netgroup-add --desc=test test
# ipa netgroup-add-member --hosts=ipa.example.com test
# ypcat -d example.com -h ipa.example.com netgroup
(ipa.example.com,-,example.com)

10.3.

In the description you say it will add a map named auto.example but the example is for auto.master

10.4.1. 

ipa-host-net-manage just controls whether a netgroup is automatically created for a hostgroup or not. Regardless IPA should prevent a duplicate netgroup and hostgroup name to be created.

The ipa-nis-manage utility controls whether the NIS listener is configured or not. A restart of 389-ds is required whenever the state is changed.

Comment 3 Deon Ballard 2011-11-15 02:38:21 UTC
Setting to ON_QA for review for 6.2.

This is a bulk change, so I'm not providing links at this time. If you need help finding the info, ping sunny-dee on #docs or email me.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.